Library Version 11.2.5.3

free_mutex
Prev | Chapter 1. Dbstl Global Public Functions | Next

## free_mutex

### Function Details

     void free_mutex(db_mutex_t mtx)

Free a mutex, and return immediately.

#### Parameters

##### mtx

The mutex handle to free.

#### Return Value

0 if succeed, non-zero otherwise, call db_strerror to get message.

### Group: Mutex API based on Berkeley DB mutex.

These functions are in-process mutex support which uses Berkeley DB mutex mechanisms.

You can call these functions to do portable synchronization for your code.

### Class

dbstl_global_functions

Prev | Up | Next
unlock_mutex | Home | dbstl_startup